import { commonsTypeIsString } from 'tscommons-es-core';
export var ECommonsHttpContentType;
(function (ECommonsHttpContentType) {
    ECommonsHttpContentType["FORM_URL"] = "form_url";
    ECommonsHttpContentType["JSON"] = "json";
})(ECommonsHttpContentType || (ECommonsHttpContentType = {}));
export function toECommonsHttpContentType(type) {
    switch (type) {
        case ECommonsHttpContentType.FORM_URL.toString():
            return ECommonsHttpContentType.FORM_URL;
        case ECommonsHttpContentType.JSON.toString():
            return ECommonsHttpContentType.JSON;
    }
    return undefined;
}
export function fromECommonsHttpContentType(type) {
    switch (type) {
        case ECommonsHttpContentType.FORM_URL:
            return ECommonsHttpContentType.FORM_URL.toString();
        case ECommonsHttpContentType.JSON:
            return ECommonsHttpContentType.JSON.toString();
    }
    throw new Error('Unknown ECommonsHttpContentType');
}
export function isECommonsHttpContentType(test) {
    if (!commonsTypeIsString(test))
        return false;
    return toECommonsHttpContentType(test) !== undefined;
}
export function keyToECommonsHttpContentType(key) {
    switch (key) {
        case 'FORM_URL':
            return ECommonsHttpContentType.FORM_URL;
        case 'JSON':
            return ECommonsHttpContentType.JSON;
    }
    throw new Error(`Unable to obtain ECommonsHttpContentType for key: ${key}`);
}
export const ECOMMONS_HTTP_CONTENT_TYPES = Object.keys(ECommonsHttpContentType)
    .map((e) => keyToECommonsHttpContentType(e));
//# sourceMappingURL=ecommons-http-content-type.js.map